Get Customer
curl --request GET \
--url https://api.sandbox.sudo.cards/customers/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.sandbox.sudo.cards/customers/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.sandbox.sudo.cards/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Customer fetched successfully.",
"data": {
"_id": "64a1b2c3d4e5f6a7b8c9d0e1",
"business": "63f0a1b2c3d4e5f6a7b8c9d0",
"type": "individual",
"name": "John Doe",
"status": "active",
"isApproved": true,
"phoneNumber": "+2348000000000",
"emailAddress": "johndoe@example.com",
"individual": {
"firstName": "John",
"lastName": "Doe",
"otherNames": "",
"dob": "1990/01/01",
"identity": {
"type": "BVN",
"number": "22212345678"
},
"documents": {
"idFrontUrl": "https://sudo-documents.s3.amazonaws.com/customers/64a1b2c3d4e5f6a7b8c9d0e1/id-front.png",
"idBackUrl": "https://sudo-documents.s3.amazonaws.com/customers/64a1b2c3d4e5f6a7b8c9d0e1/id-back.png",
"addressVerificationUrl": "https://sudo-documents.s3.amazonaws.com/customers/64a1b2c3d4e5f6a7b8c9d0e1/utility-bill.pdf"
}
},
"billingAddress": {
"line1": "4 Barnawa Close",
"line2": "Off Challawa Crescent",
"city": "Barnawa",
"state": "Kaduna",
"postalCode": "800243",
"country": "Nigeria"
},
"createdAt": "2024-09-06T12:34:56.789Z",
"updatedAt": "2024-09-06T12:34:56.789Z",
"__v": 0
}
}{
"statusCode": 400,
"message": "Invalid customer id.",
"data": null
}{
"statusCode": 401,
"message": "Unauthorized. Provide a valid API key in the Authorization header.",
"data": null
}{
"statusCode": 404,
"message": "Customer not found.",
"data": null
}Customers
Get Customer
Fetches a specific customer object. Provide the customer _id and the corresponding object will be returned.
GET
/
customers
/
{id}
Get Customer
Authorizations
Path Parameters
The _id of the customer you wish to fetch.
⌘I
